## ros-humble-ament-vitis 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_vitis NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(ament_acceleration REQUIRED)

ament_export_dependencies(ament_acceleration)

ament_package(
  CONFIG_EXTRAS "ament_vitis-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-humble-ament-vitis (0.10.1-2bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Mon, 29 Jul 2024 08:28:45 -0000

ros-humble-ament-vitis (0.10.0-2bookworm) bookworm; urgency=high

  * Prepare for release, change maintainer
  * Add usage examples
  * Enrich ROS_VITIS to be enabled only by VITIS hardware platforms
  * Add ROS_VITIS and ROS_XRT variables
  * Clarify output of message after operation

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Tue, 22 Mar 2022 16:00:00 -0000

ros-humble-ament-vitis (0.9.0-2bookworm) bookworm; urgency=high

  * Release 0.9.0
  * Account for NOKERNELS CMake var.
  * Add vitis_link_kernel CMake macros

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Mon, 14 Feb 2022 16:00:00 -0000

ros-humble-ament-vitis (0.8.0-2bookworm) bookworm; urgency=high

  * Refactor vitis_acceleration_kernel, add clock and link capabilities
  * Add support for 2021.2 dfx-mgr flavour
  * Add DTSI support to vitis_acceleration_kernel, refactor
  * Release 0.8.0

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Thu, 20 Jan 2022 16:00:00 -0000

ros-humble-ament-vitis (0.7.0-2bookworm) bookworm; urgency=high

  * Add ROS_ACCELERATION variable enablement
  * Move ROS_ACCELERATION to ament_acceleration
  * Export RTL IP for every kernel solution
  * Update CHANGELOG, release 0.7.0

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Mon, 22 Nov 2021 16:00:00 -0000

ros-humble-ament-vitis (0.6.0-2bookworm) bookworm; urgency=high

  * Make output less verbose
  * CMake scripts report only when hardware acceleration disabled

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Mon, 18 Oct 2021 16:00:00 -0000

ros-humble-ament-vitis (0.5.0-2bookworm) bookworm; urgency=high

  * Add CHANGELOG.rst
  * Remove leftover from HLS support, and set as default
  * Add x86 Ubuntu default libraries dir
  * Minor improvements for firmware generation
  * Adapt code to a non-Xilinx specific environments
  * Add support to generate dfx-mgr artifacts
  * Various CMake improvements
    * Support multiple include directories with either relative or absolute paths
    * Re-initialize VITIS_HLS_SRC_VALUE to allow for various HLS calls
    * Support multiple include directories
    * etc.

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Wed, 02 Jun 2021 16:00:00 -0000

ros-humble-ament-vitis (0.4.0-2bookworm) bookworm; urgency=high

  * Add CMake macro to generate Tcl scripts
  * add HLS Tcl generation capabilities

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Wed, 07 Jul 2021 16:00:00 -0000

ros-humble-ament-vitis (0.3.0-2bookworm) bookworm; urgency=high

  * Add license, meet ROS 2 QL5, QL4
  * Adapt to new folder structure to standardize across vendors

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Wed, 02 Jun 2021 16:00:00 -0000

ros-humble-ament-vitis (0.2.0-2bookworm) bookworm; urgency=high

  * Simplify build process of kernels
  * Enable hw_emu, hw and sw_emu targets
  * Add first iteration on macros, support both Xilinx tools
  as well as custom ROS packages.
  * Macros work for all build targets
  * Variables shield env. variables abstracting them to have
  a coherent environment for Vitis v++.

 -- Víctor Mayoral Vilches <victor@accelerationrobotics.com>  Sat, 17 Apr 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ament-vitis
Section: misc
Priority: optional
Maintainer: Víctor Mayoral Vilches <victor@accelerationrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-acceleration, ros-humble-ament-cmake-core, ros-humble-ament-cmake-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ament-vitis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-acceleration, ros-humble-ament-cmake-core, ros-humble-ament-cmake-ros, ros-humble-ros-workspace
Description: CMake macros and utilities to include Vitis platform into the ROS 2 build system (ament) and its development flows.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ament-vitis//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ament-vitis//opt/ros/humble/opt/ament_vitis/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
